Page MenuHomePhabricator

Evaluate Collaborative spelling dictionary building tool
Closed, ResolvedPublic

Description

This is an Outreach-Program-For-Women-9 final project evaluation. Please update the description checking the boxes and providing the corresponding comments and links:

  • Weekly reports up to date. Link
  • In sync with mentors.
  • Full-time routine.
  • Project completed, or at least a functional prototype: Link
  • Tasks created for known bugs, missing features, and suggested improvements: Link
  • Documentation for users and contributors. Link
  • Wrap-up report: Link
  • Summary in Past projects page.

Event Timeline

Qgil created this task.Mar 10 2015, 9:57 AM
Qgil assigned this task to KartikMistry.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: KartikMistry, Amire80, Ankitashukla.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 9:57 AM
KartikMistry updated the task description. (Show Details)Mar 11 2015, 5:41 AM
KartikMistry set Security to None.
KartikMistry updated the task description. (Show Details)Mar 11 2015, 5:44 AM
KartikMistry updated the task description. (Show Details)Mar 11 2015, 5:50 AM
KartikMistry added a subscriber: Qgil.

@Ankitashukla @Qgil Are we missing anything now?

@Qgil, shall we add the wrap-up posts, project URL on the Past projects page as well? Or link to this task itself?

Qgil added a comment.Mar 11 2015, 11:52 AM

@KartikMistry, do you mind adding the links/ comments next to each point in the description, please? This way it is easier to check that everything is in place. It's a small step for you, but a big deal for us having to check several projects.

@NiharikaKohli, "Summary in Past projects page." is checked, and there is a summary indeed at https://www.mediawiki.org/wiki/Outreachy/Past_projects . Thank you for proving my point that links in the description would be clearer for everybody. ;)

@Qgil, actually I meant that the wrap-up blogpost and the project URLs should also be added to the Past Projects page, next to the Summary. Or a link to this Phab task should be added there. This'd make it easier for newer students to have a glance at what has been done previously, to get an idea of the scope of typical projects. And these blogposts would be more *visible* than they are right now and new students will be able read them. Unless there is another page where we are curating these which I missed.

@Qgil, Sure. I'll do that.

Niharika updated the task description. (Show Details)Mar 11 2015, 12:23 PM
Qgil added a comment.Mar 11 2015, 1:04 PM

@NiharikaKohli, good idea! Each summary in the Past projects page could link to the wrap up post (to have the overview) and to the evaluation Phabricator task (like this one, to go as deep as you want).

Qgil added a comment.Mar 11 2015, 1:17 PM

Thanks, this is good, but please let me help you to make it even better. :)

  • Is there a functional prototype in Labs or somewhere?
  • Screenshots and even a screencast would be very welcome. They would spice up your wrap up post, and would allow everybody to understand easily your work until today.
  • Can you clone those GitHub issues into Phabricator tasks under Spelling-Dictionary, please?
  • The infobox at https://www.mediawiki.org/wiki/User:Ankitashukla/Extension:SpellingDictionary should mention the Phabricator project.
  • Your wrap-up report should include all the relevant links, so people can check, download, install, contribute to your project.
  • As we just discussed above, please add links to your wrap-up post and this task at your summary in Past projects page.
  • Is there a functional prototype in Labs or somewhere?

Working on it

  • Screenshots and even a screencast would be very welcome. They would spice up your wrap up post, and would allow everybody to understand easily your work until today.

Added screenshots

  • Can you clone those GitHub issues into Phabricator tasks under Spelling-Dictionary, please?

Done

Done

  • Your wrap-up report should include all the relevant links, so people can check, download, install, contribute to your project.

Added all the links at the end of the wrap-up post.

  • As we just discussed above, please add links to your wrap-up post and this task at your summary in Past projects page.

Done

@KartikMistry: Ping on what specifically? :) If this should remain open?

Qgil closed this task as Resolved.Mar 15 2015, 2:46 PM

Closing as Resolved. It would be still nice to see the prototype in Labs. I'm trying to organize a showcase of all the Outreach-Program-For-Women-9 projects.

Thank you @NiharikaKohli, and congratulations for a successful internship. I hope this is just the beginning of a long contribution to Wikimedia tech.